GET /ads/campaigns
List campaigns of an ad account (mock mode: the objects created through this instance)
GET
BearerAuthheader
AuthorizationBearer <token>API key sk_...
accountId*stringConnected Facebook Page account id
adAccountId*stringAd account id (act_...)
parentId?stringAd sets of a campaign / ads of an ad set
statuses?stringComma list of effective statuses
limit?integerMaximum items (default 25, max 100)
Range
1 <= value <= 100Default
25after?stringnext of the previous page
{items, next, mock}
application/json- response
items?array<>next?string|nullmock?booleancurl -X GET 'https://example.com/api/v1/ads/campaigns?accountId=string&adAccountId=string'Example Response
{ "items": [ {} ], "next": "string", "mock": true}POST /ads/boost POST
Boost a published Facebook Page or Instagram post: creates campaign, ad set, creative (referencing the post, keeping its likes and comments) and ad, PAUSED unless status ACTIVE. Requires confirm: true
POST /ads/campaigns POST
Create a campaign (objective or goal, optional CBO budget, specialAdCategories). PAUSED by default; requires confirm: true